Bug 8981 - Remove Nonpublic General Note from OPAC authorities display
Summary: Remove Nonpublic General Note from OPAC authorities display
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: David Cook
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-29 22:03 UTC by David Cook
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Remove Nonpublic General Note from OPAC authorities display (1.30 KB, patch)
2012-10-29 22:20 UTC, David Cook
Details | Diff | Splinter Review
Bug 8981 - Remove Nonpublic General Note from OPAC authorities display (1.34 KB, patch)
2012-11-02 18:56 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 8981 - Remove Nonpublic General Note from OPAC authorities display (1.39 KB, patch)
2012-11-29 16:38 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 8981 follow-up: case (1.57 KB, patch)
2012-11-29 16:38 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2012-10-29 22:03:11 UTC
Currently, the MARC21 667 Nonpublic General Note field is appearing on the opac-authoritiesdetail.pl page.

Since it is a nonpublic note, it makes sense to remove it from this view.
Comment 1 David Cook 2012-10-29 22:20:57 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-11-02 18:56:26 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2012-11-29 16:38:47 UTC
Created attachment 13776 [details] [review]
Bug 8981 - Remove Nonpublic General Note from OPAC authorities display

Currently, the MARC21 667 Nonpublic General Note field is appearing on the opac-authoritiesdetail.pl page.

Since it is a nonpublic note, it makes sense to remove it from this view.

This patch adds in an extra condition that checks authority records for MARC21 667 fields before displaying them in this opac screen.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

Does what it says, with no side effects

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 4 Paul Poulain 2012-11-29 16:38:54 UTC
Created attachment 13777 [details] [review]
Bug 8981 follow-up: case

While QAing your patch, I saw you were writting "MarcFlavour", it should have been "marcflavour"

Will work with the UC, but let's be consistent.

This patch fixes another MarcFlavour just a few lines before I spotted by chance
Comment 5 Paul Poulain 2012-11-29 16:40:49 UTC
QA comment:
 * passes koha-qa.pl
 * won't say anything about the feature itself because i'm not a MARC21 specialist, but do what it announce
 * you wrote "MarcFlavour" instead of "marcflavour" for the system preference, it works, but it's better to use the syspref form, so I've uploaded a follow-up that just fixes the wording.

passed QA
Comment 6 Jared Camins-Esakov 2012-11-30 03:08:03 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2012-11-30 07:25:06 UTC
Pushed to 3.10.x and 3.8.x, will be in 3.10.1 and 3.8.8
Comment 8 Liz Rea 2012-12-23 20:39:58 UTC
Does not apply on 3.6.x, please submit a 3.6 patch if necessary.

Thanks!

Liz